<?xml version="1.0" encoding="UTF-8"?>
<xlayout xmlns:ct="http://logabit.com/xlayout/controls/1.0"
	xmlns:tg="http://textgrid.de/xlayout/controls">
	<table>

		<tr>
			<td>
				<ct:label id="lblRequired" text="[*] Mandatory Fields" />
			</td>
		</tr>

		<tr>
			<td>
				<ct:label />
			</td>
		</tr>


		<tr>
			<td width="100%">
				<tg:repeat id="rptTitle" text="Title(s)">
					<table>
						<tr>
							<td width="100%">
								<ct:group id="grpTitle">
									<table>
										<tr>
											<td>
												<ct:label id="lblTitle" text="Title" />
											</td>
											<td width="100%">
												<ct:text id="txtTitle" element_name="title"
													required="true" />
											</td>
										</tr>
									</table>
								</ct:group>
							</td>
						</tr>
					</table>
				</tg:repeat>
			</td>
		</tr>


		<tr>
			<td>
				<ct:label />
			</td>
		</tr>

		<tr>
			<td width="100%">
				<tg:repeat id="rptIdentifier" text="Identifier(s)"
					optional="true">
					<table>
						<tr>
							<td width="100%">
								<ct:group id="grpIdentifier">
									<table>
										<tr>
											<td>
												<ct:label id="lblIdentifier" text="Identifier" />
											</td>
											<td width="100%">
												<ct:text id="txtIdentifier" element_name="identifier" />
											</td>
										</tr>
										<tr>
											<td>
												<ct:label id="lblIdentifierType" text="Type" />
											</td>
											<td>
												<ct:combo id="cmbIdentifierType" element_name="type"
													related_to="txtIdentifier" readonly="false" required="true">
													<item>ISBN</item>
													<item>ISSN</item>
													<item>URL</item>
													<item>Kalliope</item>
												</ct:combo>
											</td>
										</tr>
									</table>
								</ct:group>
							</td>
						</tr>
					</table>
				</tg:repeat>
			</td>
		</tr>


		<tr>
			<td>
				<ct:label />
			</td>
		</tr>


		<tr>
			<td>
				<ct:label id="lblFormat" text="Format" />
			</td>
			<td width="100%">
				<ct:text id="txtFormat" element_name="format" required="true" />
			</td>
		</tr>


		<tr>
			<td>
				<ct:label />
			</td>
		</tr>


		<!-- begin work -->
		<tr>
			<td width="100%">
				<tg:specific id="specificSection">
					<table>

						<tr>
							<td width="100%">
								<tg:repeat id="rptAgents" text="Agent(s)" optional="true">
									<table>
										<tr>
											<td width="100%">
												<ct:group id="grpAgent">
													<table>
														<tr>
															<td>
																<ct:label id="lblAgent" text="Name" />
															</td>
															<td width="100%">
																<ct:text id="txtAgent" element_name="agent"
																	auto_completion="pnd" />
															</td>
														</tr>

														<tr>
															<td>
																<ct:label id="lblRole" text="Role" />
															</td>
															<td>

																<ct:combo id="cmbRole" element_name="role"
																	related_to="txtAgent" readonly="true" items="agents" />

															</td>
														</tr>

														<tr>
															<td>
																<ct:label id="lblAgentId" text="Identifier" />
															</td>
															<td width="100%">
																<ct:text id="txtAgentId" element_name="id"
																	related_to="txtAgent" input_type="anyURI" />
															</td>
														</tr>
													</table>
												</ct:group>
											</td>
										</tr>
									</table>
								</tg:repeat>
							</td>
						</tr>

						<tr>
							<td>
								<ct:label />
							</td>
						</tr>


						<tr>
							<td width="100%">
								<tg:repeat id="rptAbstract" text="Abstract(s)"
									optional="true">
									<table>
										<tr>
											<td width="100%">
												<ct:group id="grpAbstract">
													<table>
														<tr>
															<td>
																<ct:label id="lblAbstract" text="Abstract" />
															</td>
															<td width="100%">
																<ct:text id="txtAbstract" element_name="abstract"
																	multi_lines="true" />
															</td>
														</tr>
													</table>
												</ct:group>
											</td>
										</tr>
									</table>
								</tg:repeat>
							</td>
						</tr>


						<tr>
							<td>
								<ct:label />
							</td>
						</tr>

						<tr>
							<td width="100%">
								<tg:textgrid-date id="textgrid-date1" text="Date of Creation"
									element_name="dateOfCreation">
									<approxDate approximateGregorianDate="">
									</approxDate>
									<!-- <dateRange> <notBefore approximateGregorianDate="1980-01-01"> 
										test not Before </notBefore> <notAfter approximateGregorianDate="1990-01-01"> 
										test not After </notAfter> </dateRange> -->
								</tg:textgrid-date>
							</td>
						</tr>

						<tr>
							<td>
								<ct:label />
							</td>
						</tr>


						<tr>
							<td width="100%">
								<tg:complex-repeat id="rptSpatial" text="Spatial(s)"
									optional="true" element_name="spatial">
									<table>
										<tr>
											<td width="100%">
												<ct:group id="grpSpatial">
													<table>


														<tr>
															<td width="100%">
																<tg:repeat id="rptSpatialIdentifier" text="Identifier(s)">
																	<table>
																		<tr>
																			<td width="100%">
																				<ct:group id="grpSpatialIdentifier">
																					<table>
																						<tr>
																							<td>
																								<ct:label id="lblSpatialIdentifier"
																									text="Identifier" />
																							</td>
																							<td width="100%">
																								<ct:text id="txtSpatialIdentifier"
																									element_name="id" />
																							</td>
																						</tr>
																						<tr>
																							<td>
																								<ct:label id="lblSpatialType" text="Type" />
																							</td>
																							<td width="100%">
																								<ct:text id="txtSpatialType"
																									element_name="type" related_to="txtSpatialIdentifier" />
																							</td>
																						</tr>
																					</table>
																				</ct:group>
																			</td>
																		</tr>
																	</table>
																</tg:repeat>
															</td>
														</tr>


														<tr>
															<td>
																<ct:label id="lblSpatialValue" text="Value" />
															</td>
															<td width="100%">
																<ct:text id="txtSpatialValue" element_name="value"
																	auto_completion="tgn" />
															</td>
														</tr>


													</table>
												</ct:group>
											</td>
										</tr>
									</table>
								</tg:complex-repeat>
							</td>
						</tr>


						<tr>
							<td>
								<ct:label />
							</td>
						</tr>


						<tr>
							<td width="100%">
								<tg:complex-repeat id="rptTemporal" text="Temporal(s)"
									optional="true" element_name="temporal">
									<table>
										<tr>
											<td width="100%">
												<ct:group id="grpTemporal">
													<table>


														<tr>
															<td width="100%">
																<tg:repeat id="rptTemporalIdentifier" text="Identifier(s)">
																	<table>
																		<tr>
																			<td width="100%">
																				<ct:group id="grpTemporalIdentifier">
																					<table>
																						<tr>
																							<td>
																								<ct:label id="lblTemporalIdentifier"
																									text="Identifier" />
																							</td>
																							<td width="100%">
																								<ct:text id="txtTemporalIdentifier"
																									element_name="id" />
																							</td>
																						</tr>
																						<tr>
																							<td>
																								<ct:label id="lblTemporalType" text="Type" />
																							</td>
																							<td width="100%">
																								<ct:text id="txtTemporalType"
																									element_name="type" related_to="txtTemporalIdentifier" />
																							</td>
																						</tr>
																					</table>
																				</ct:group>
																			</td>
																		</tr>
																	</table>
																</tg:repeat>
															</td>
														</tr>


														<tr>
															<td>
																<ct:label id="lblTemporalValue" text="Value" />
															</td>
															<td width="100%">
																<ct:text id="txtTemporalValue" element_name="value" />
															</td>
														</tr>


													</table>
												</ct:group>
											</td>
										</tr>
									</table>
								</tg:complex-repeat>
							</td>
						</tr>


						<tr>
							<td>
								<ct:label />
							</td>
						</tr>


						<tr>
							<td width="100%">
								<tg:complex-repeat id="rptSubject" text="Subject(s)"
									optional="true" element_name="subject">
									<table>
										<tr>
											<td width="100%">
												<ct:group id="grpSubject">
													<table>


														<tr>
															<td width="100%">
																<tg:repeat id="rptSubjectIdentifier" text="Identifier(s)">
																	<table>
																		<tr>
																			<td width="100%">
																				<ct:group id="grpSubjectIdentifier">
																					<table>
																						<tr>
																							<td>
																								<ct:label id="lblSubjectIdentifier"
																									text="Identifier" />
																							</td>
																							<td width="100%">
																								<ct:text id="txtSubjectIdentifier"
																									element_name="id" />
																							</td>
																						</tr>
																						<tr>
																							<td>
																								<ct:label id="lblSubjectType" text="Type" />
																							</td>
																							<td width="100%">
																								<ct:text id="txtSubjectType"
																									element_name="type" related_to="txtSubjectIdentifier" />
																							</td>
																						</tr>
																					</table>
																				</ct:group>
																			</td>
																		</tr>
																	</table>
																</tg:repeat>
															</td>
														</tr>


														<tr>
															<td>
																<ct:label id="lblSubjectValue" text="Value" />
															</td>
															<td width="100%">
																<ct:text id="txtSubjectValue" element_name="value" />
															</td>
														</tr>


													</table>
												</ct:group>
											</td>
										</tr>
									</table>
								</tg:complex-repeat>
							</td>
						</tr>


						<tr>
							<td>
								<ct:label />
							</td>
						</tr>


						<tr>
							<td width="100%">
								<tg:repeat id="rptGenre" text="Genre(s)">
									<table>
										<tr>
											<td width="100%">
												<ct:group id="grpGenre">
													<table>

														<tr>
															<td>
																<ct:label id="lblGenre" text="Genre" />
															</td>
															<td>
																<ct:combo id="cmbGenre" element_name="genre"
																	readonly="true" required="true">
																	<item>
																		drama
													</item>
																	<item>
																		prose
													</item>
																	<item>
																		verse
													</item>
																	<item>
																		reference work
													</item>
																	<item>
																		non-fiction
													</item>
																	<item>
																		non-text
													</item>
																	<item>
																		other
													</item>
																</ct:combo>
															</td>
														</tr>

													</table>
												</ct:group>
											</td>
										</tr>
									</table>
								</tg:repeat>
							</td>
						</tr>

						<tr>
							<td>
								<ct:label />
							</td>
						</tr>

						<tr>
							<td width="100%">
								<tg:repeat id="rptType" optional="true" text="Type(s)">
									<table>
										<tr>
											<td width="100%">
												<ct:group id="grpType">
													<table>

														<tr>
															<td>
																<ct:label id="lblType" text="Type" />
															</td>
															<td width="100%">
																<ct:text id="txtType" element_name="type" />
															</td>
														</tr>

													</table>
												</ct:group>
											</td>
										</tr>
									</table>
								</tg:repeat>
							</td>
						</tr>

					</table>
				</tg:specific>
			</td>
		</tr>
		<!-- end work -->


		<tr>
			<td>
				<ct:label />
			</td>
		</tr>


		<tr>
			<td>
				<ct:label id="lblNotes" text="Notes" />
			</td>
			<td width="100%">
				<ct:text id="txtNotes" element_name="notes" multi_lines="true" />
			</td>
		</tr>

		<tr>
			<td>
				<ct:label />
			</td>
		</tr>


		<tg:custom-placeholder />

		<tr>
			<td>
				<ct:label id="lblInfo" />
			</td>
		</tr>

		<tr>
			<td align="center">
				<ct:button id="btnSave" text="Save Metadata" />
				<ct:button id="btnReload" text="Reload Metadata" />
			</td>
			<td align="center">
				<ct:button id="btnMeta2tei" text="Copy TEI Header" />
			</td>
		</tr>

	</table>
</xlayout>